## klayout 0.24.6

=== src/Makefile ===


include Makefile.env
include Makefile.conf
include $(SOURCE)/Makefile.main

=== debian/changelog ===
klayout (0.24.6-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 23 Dec 2017 22:03:59 -0500

klayout (0.24.6-1mx150+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 28 Mar 2016 13:41:26 -0700

=== debian/control ===
Source: klayout
Section: graphics
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>=9), libqt4-dev, python-dev, ruby-dev, zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://klayout.de/

Package: klayout
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: chip mask layout review and edit utility
 Klayout is a graphical viewer for a.o. GDSII and CIF files.
 Its features include net highlighting and XOR-ing of two layouts.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt4

%:
	dh $@ --parallel 
	
override_dh_auto_build:
	sh build.sh

## klayout 0.25.8

=== Makefile ===
.PHONY: help build deploy test dropbox-deploy

GITCOMMIT := $(shell git rev-parse --short HEAD)
KLAYOUT_VERSION := $(shell source version.sh && echo $$KLAYOUT_VERSION)

.ONESHELL:

default: help

help:
	@echo "For Mac OS only"
	@echo "make build PYTHON_VERSION=B37"
	@echo "make deploy PYTHON_VERSION=B37"
	@echo "make test MACOS_VERSION=HighSierra"
	@echo "Valid Mac OS Versions: [Yosemite, ElCapitan, Sierra, HighSierra]"
	@echo "Valid Python Version: [nil, Sys, B37]"

build:
	@echo "Building for Mac $(GITCOMMIT)"
	./build4mac.py -p $(PYTHON_VERSION) -q Qt5Brew -c; \
	./build4mac.py -p $(PYTHON_VERSION) -q Qt5Brew

deploy:
	@echo "Deploying 4 Mac $(GITCOMMIT)"
	./build4mac.py -p $(PYTHON_VERSION) -q Qt5Brew -y
	
test:
	@echo "Testing 4 Mac $(GITCOMMIT)"
	qt5.pkg.macos-$(MACOS_VERSION)-release/klayout.app/Contents/MacOS/klayout -b -r test-pylib-script.py; \
	cd qt5.build.macos-$(MACOS_VERSION)-release; \
	ln -s klayout.app/Contents/MacOS/klayout klayout; \
	export TESTTMP=testtmp; \
	export TESTSRC=..; \
	./ut_runner -h || true; \
	cd ..

dropbox-deploy:
	@echo "Preparing for dropbox deployment $(MACOS_VERSION) $(GITCOMMIT)"
	mkdir deploy; \
	pwd; \
	ls -lah; \
	touch build.txt; \
	cp build.txt deploy/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).log.txt; \
	hdiutil convert macbuild/Resources/klayoutDMGTemplate.dmg -format UDRW -o work-KLayout.dmg; \
	hdiutil resize -size 500m work-KLayout.dmg; \
	hdiutil attach work-KLayout.dmg -readwrite -noverify -quiet -mountpoint tempKLayout -noautoopen; \
	cp -a qt5.pkg.macos-$(MACOS_VERSION)-release/ tempKLayout/; \
	hdiutil detach tempKLayout; \
	hdiutil convert work-KLayout.dmg -format UDZO -imagekey zlib-level=9 -o deploy/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg; \
	md5 -q deploy/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg > deploy/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg.md5; \
	rm work-KLayout.dmg

=== debian/changelog ===
klayout (0.25.8-1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Switch to the recommended python 3 instead of python 2.
  * Fix up debian/copyright.
  * Use debhelper 10 compat.
  * debian/rules:
    - enable parallel builds
    - disable automatic dbgsym packages.
  * Fix install of binary and lib packages.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 May 2019 17:58:45 -0700

## klayout 0.26.1

=== debian/changelog ===
klayout (0.26.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Nov 2019 15:39:49 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: klayout
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>=9), libqt4-dev, python-dev, ruby-dev, zlib1g-dev
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Build-Depends: debhelper (>= 10),
+               libqt4-dev,
+               python3-dev,
+               ruby-dev,
+               zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://klayout.de/

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt4

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

%:
	dh $@

override_dh_auto_build:
	./build.sh -options -j$(NCPUS) \
               -bin /usr/lib/klayout

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/klayout

## klayout 0.26.2

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 GITCOMMIT := $(shell git rev-parse --short HEAD)
 KLAYOUT_VERSION := $(shell source version.sh && echo $$KLAYOUT_VERSION)
+ifndef PYTHON_VERSION
+    PYTHON_VERSION := B37
+endif
+ifndef MACOS_VERSION
+	MACOS_VERSION := HighSierra
+endif
 
 .ONESHELL:
 
@@ -31,21 +37,22 @@
 	ln -s klayout.app/Contents/MacOS/klayout klayout; \
 	export TESTTMP=testtmp; \
 	export TESTSRC=..; \
+	export DYLD_LIBRARY_PATH=.:db_plugins/:lay_plugins/; \
 	./ut_runner -h || true; \
 	cd ..
 
 dropbox-deploy:
 	@echo "Preparing for dropbox deployment $(MACOS_VERSION) $(GITCOMMIT)"
-	mkdir deploy; \
+	mkdir -p deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION); \
 	pwd; \
 	ls -lah; \
 	touch build.txt; \
-	cp build.txt deploy/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).log.txt; \
+	cp build.txt deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).log.txt; \
 	hdiutil convert macbuild/Resources/klayoutDMGTemplate.dmg -format UDRW -o work-KLayout.dmg; \
 	hdiutil resize -size 500m work-KLayout.dmg; \
 	hdiutil attach work-KLayout.dmg -readwrite -noverify -quiet -mountpoint tempKLayout -noautoopen; \
 	cp -a qt5.pkg.macos-$(MACOS_VERSION)-release/ tempKLayout/; \
 	hdiutil detach tempKLayout; \
-	hdiutil convert work-KLayout.dmg -format UDZO -imagekey zlib-level=9 -o deploy/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg; \
-	md5 -q deploy/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg > deploy/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg.md5; \
+	hdiutil convert work-KLayout.dmg -format UDZO -imagekey zlib-level=9 -o deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg; \
+	md5 -q deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg > deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg.md5; \
 	rm work-KLayout.dmg

=== debian/changelog ===
klayout (0.26.2-3) unstable; urgency=medium

  * Correctly handle spaces in arguments to klayout wrapper (Closes: #959862)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Oct 2020 08:38:46 +0000

klayout (0.26.2-2) unstable; urgency=medium

  * Change build-dependency to libpython3-dev
  * Update patch to debian/patches/0001-Prefer-Newer-Python3.patch
  * All explicit dependencies on python3.7 have been removed. Fixes FTBFS
    (Closes: #951735)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 06 Mar 2020 19:17:11 +0100

klayout (0.26.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Pre-depend on Python3
  * debian/klayout.postinst:
    - Run py3compile on install
  * debian/klayout.prerm
    - Run py3clean on remove

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 14 Jan 2020 21:12:13 +0100

klayout (0.26-2) unstable; urgency=medium

  * Rename /usr/share/pixmaps/icon.png to /usr/share/pixmaps/klayout.png

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 27 Dec 2019 11:15:01 +0100

klayout (0.26-1) unstable; urgency=low

  * Initial release (Closes: #926100)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 20 Oct 2019 20:41:43 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  EXTRA_MAKE_OPTIONS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

CXXFLAGS := $(filter-out -Werror=format-security, $(CXXFLAGS))
CFLAGS := $(filter-out -Werror=format-security, $(CFLAGS))

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

%:
	dh $@


override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_install:
	mkdir -p debian/klayout/usr/lib/klayout
	CC=$(CC) CXX=$(CXX) OBJCOPY=objcopy AR=$(AR) CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./build.sh -qt5 -option $(EXTRA_MAKE_OPTIONS) -expert -qmake /usr/lib/$(MULTIARCH)/qt5/bin/qmake -bin $(CURDIR)/debian/klayout/usr/lib/klayout
	mkdir -p debian/klayout/usr/bin
	echo "#!/bin/sh\nLD_LIBRARY_PATH=/usr/lib/klayout exec /usr/lib/klayout/klayout \"\$$@\"" > debian/klayout/usr/bin/klayout
	chmod +x debian/klayout/usr/bin/klayout
	chmod -x debian/klayout/usr/lib/klayout/pymod/klayout/db/__init__.py
	chmod -x debian/klayout/usr/lib/klayout/pymod/klayout/db/pcell_declaration_helper.py
	chmod -x debian/klayout/usr/lib/klayout/pymod/klayout/__init__.py
	chmod -x debian/klayout/usr/lib/klayout/pymod/klayout/rdb/__init__.py
	chmod -x debian/klayout/usr/lib/klayout/pymod/klayout/tl/__init__.py
	chmod -x debian/klayout/usr/lib/klayout/pymod/pya/__init__.py
	find debian/klayout/usr/lib/klayout -mindepth 1 -type f -name "*.so*" -exec chmod -x {} \;
	find debian/klayout/usr/lib/klayout -maxdepth 1 -type f -exec chrpath --delete {} \;
	find debian/klayout/usr/lib/klayout -mindepth 2 -type f -name "*.so*" -exec chrpath --delete {} \;
	mkdir -p debian/klayout/usr/share/pixmaps
	cp etc/logo.png debian/klayout/usr/share/pixmaps/klayout.png

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r build-release

override_dh_auto_test:

override_dh_shlibdeps:
	dh_shlibdeps -l"$(CURDIR)/debian/klayout/usr/lib/klayout:$(CURDIR)/debian/klayout/usr/lib/klayout/lay_plugins:$(CURDIR)/debian/klayout/usr/lib/klayout/db_plugins"

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

=== debian/watch ===
version=3
https://github.com/KLayout/klayout/releases /KLayout/klayout/archive/v(\d\S+)\.tar\.(?:bz2|gz|xz)

## klayout 0.28.5

=== Makefile ===
.PHONY: help build deploy test dropbox-deploy

GITCOMMIT := $(shell git rev-parse --short HEAD)
KLAYOUT_VERSION := $(shell source version.sh && echo $$KLAYOUT_VERSION)
ifndef PYTHON_VERSION
    PYTHON_VERSION := HB38
endif
ifndef MACOS_VERSION
	MACOS_VERSION := Catalina
endif

.ONESHELL:

default: help

help:
	@echo "For Mac OS only"
	@echo "make build PYTHON_VERSION=HB38"
	@echo "make deploy PYTHON_VERSION=HB38"
	@echo "make test MACOS_VERSION=HighSierra"
	@echo "Valid Mac OS Versions: [Yosemite, ElCapitan, Sierra, HighSierra, Mojave, Catalina]"
	@echo "Valid Python Version: [nil, Sys, HB38]"

build:
	@echo "Building for Mac $(GITCOMMIT)"
	./build4mac.py -p $(PYTHON_VERSION) -q Qt5Brew -c; \
	./build4mac.py -p $(PYTHON_VERSION) -q Qt5Brew

deploy:
	@echo "Deploying 4 Mac $(GITCOMMIT)"
	./build4mac.py -p $(PYTHON_VERSION) -q Qt5Brew -y

test:
	@echo "Testing 4 Mac $(GITCOMMIT)"
	PIP_REQUIRE_VIRTUALENV="false" HW-qt5Brew.pkg.macos-$(MACOS_VERSION)-release-RsysPhb38/klayout.app/Contents/MacOS/klayout -b -r test-pylib-script.py; \
	cd qt5Brew.build.macos-$(MACOS_VERSION)-release-RsysPhb38; \
	ln -s klayout.app/Contents/MacOS/klayout klayout; \
	export TESTTMP=testtmp; \
	export TESTSRC=..; \
	export DYLD_LIBRARY_PATH=.:db_plugins/:lay_plugins/; \
	./ut_runner -h || true; \
	cd ..

dmg-template:
	mkdir -p testtemplate/klayout.app
	./makeDMG4mac.py -p testtemplate -m -z -t klayoutDMGTemplate.dmg
	cp -a klayoutDMGTemplate.dmg* macbuild/Resources/
	rm -Rf testtemplate

dropbox-deploy:
	@echo "Preparing for dropbox deployment $(MACOS_VERSION) $(GITCOMMIT)"
	mkdir -p deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)
	pwd
	ls -lah
	touch build.txt
	cp build.txt deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).log.txt
	hdiutil convert macbuild/Resources/klayoutDMGTemplate.dmg -ov -format UDRW -o work-KLayout.dmg
	hdiutil resize -size 500m work-KLayout.dmg
	hdiutil attach -readwrite -noverify -quiet -mountpoint tempKLayout -noautoopen work-KLayout.dmg
	cp -a HW-qt5Brew.pkg.macos-$(MACOS_VERSION)-release-RsysPhb38/ tempKLayout/
	hdiutil detach tempKLayout
	hdiutil convert work-KLayout.dmg -ov -format UDZO -imagekey zlib-level=9 -o deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg
	md5 -q deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg > deploy/$(MACOS_VERSION)/$(PYTHON_VERSION)/$(KLAYOUT_VERSION)/qt5.pkg.macos-$(MACOS_VERSION)-$(PYTHON_VERSION)-release-$(KLAYOUT_VERSION)-$(GITCOMMIT).dmg.md5
	rm work-KLayout.dmg

=== debian/changelog ===
klayout (0.28.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * [abb7992] Reduce debug info to fix FTBFS on mipsel

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Feb 2023 08:39:05 +0100

klayout (0.28.5-1) unstable; urgency=medium

  * Team upload
  * [ac64fdf] New upstream version 0.28.5
  * [e7686a0] Rebuild patch queue from patch-queue branch
    Just refresh the existing patches.
  * [11229eb] d/control: Adding Rules-Requires-Root: no
  * [95a4017] d/control: Running wrap-and-sort -ast
  * [893c63f] d/copyright: Correct Debian related data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 06 Feb 2023 18:45:13 +0100

klayout (0.28.3-1) unstable; urgency=medium

  * Team upload
  * [fed1c5f] New upstream version 0.28.3
  * [37c625f] Rebuild patch queue from patch-queue branch
    Just refresh the existing patches.
  * [83bcb29] d/control: Increase Standards-Version to 4.6.2
    No further changes needed.
  * [9a84a45] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Jan 2023 19:31:10 +0100

klayout (0.27.12-1) unstable; urgency=medium

  * Team upload
  * [c0fa30a] d/watch: Move to git mode
  * [b464bda] New upstream version 0.27.12
    (Closes: #959902, #977333, #982251)
  * [61d611e] Rebuild patch queue from patch-queue branch
  * [b08673c] Salsa CI: Rename and update file to d/salsa-ci.yml

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 03 Nov 2022 20:04:12 +0100

klayout (0.27.11-2) unstable; urgency=medium

  * Team upload
  * [224fb39] d/rules: Don't run dh_dwz on mipsel
  * [ed3d34b] d/rules: Catch up also *.so while fixing permissions

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Sep 2022 16:31:10 +0200

klayout (0.27.11-1) unstable; urgency=medium

  * Team upload

  [ Carsten Schoenert ]
  * [0d74036] d/gbp.conf: Adding more default data
  * [2eb4aba] New upstream version 0.27.11
  * [bcace71] d/control: Increase debhelper to version 13
  * [8655ff8] d/control: Increase Standards-Version to 4.6.1
    No further changes needed.
  * [348c911] d/README.source: Adding basic information about source

  [ Thomas Dorch ]
  * [3faff17] fixed debian/watch so it tracks klayout git releases
  * [0e78a4d] New upstream version 0.27.8
  * [356e3c7] d/copyright: Update copyright data
  * [972efd8] d/rules: Reorganize permission setting on *.py files
  * [58b24ac] d/watch: Update to version 4
  * [8b24c59] Rebuild patch queue from patch-queue branch
    Added patch:
    Set-KLAYOUT_VERSION_DATE-in-version.sh-using-value-from-S.patch
    (Closes: #977415)
  * [52264e0] fix lintian warning about ldconfig trigger

  [ Vagrant Cascadian ]
  * [7cbcf66] d/rules: Generate wrapper consistently regardless of shell
    (Closes: #977416)

  [ Thomas Dorch ]

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 Sep 2022 12:05:18 +0200

=== debian/control ===
Source: klayout
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders:
 Ruben Undheim <ruben.undheim@gmail.com>,
Build-Depends:
 chrpath,
 debhelper-compat (= 13),
 libpython3-dev,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 qt5-qmake,
 qtbase5-dev,
 qtmultimedia5-dev,
 qttools5-dev,
 ruby-dev,
 txt2man,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/electronics-team/klayout
Vcs-Git: https://salsa.debian.org/electronics-team/klayout.git
Homepage: https://www.klayout.de

Package: klayout
Architecture: any
Pre-Depends:
 python3,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: High Performance Layout Viewer and Editor
 This is very good viewer for GDSII and other layout files used in the
 semiconductor industry.
 .
 It is similar to 'magic', but has a much more modern GUI and is more robust
 handling all kinds of GDSII files created by various other tools. Its focus is
 more on viewing than on editing, but it also has limited, but expanding,
 support for DRC and extraction for LVS.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), m68k mipsel sh4))
    export DEB_CXXFLAGS_MAINT_APPEND += -g1
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  EXTRA_MAKE_OPTIONS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

CXXFLAGS := $(filter-out -Werror=format-security, $(CXXFLAGS))
CFLAGS := $(filter-out -Werror=format-security, $(CFLAGS))

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

%:
	dh $@


override_dh_auto_configure:

override_dh_auto_build:

override_dh_auto_install:
	mkdir -p debian/klayout/usr/lib/klayout
	CC=$(CC) CXX=$(CXX) OBJCOPY=objcopy AR=$(AR) CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./build.sh -qt5 -option $(EXTRA_MAKE_OPTIONS) -expert -qmake /usr/lib/$(MULTIARCH)/qt5/bin/qmake -bin $(CURDIR)/debian/klayout/usr/lib/klayout
	mkdir -p debian/klayout/usr/bin
	echo "#!/bin/sh" > debian/klayout/usr/bin/klayout
	echo "LD_LIBRARY_PATH=/usr/lib/klayout exec /usr/lib/klayout/klayout \"\$$@\"" >> debian/klayout/usr/bin/klayout
	mkdir -p debian/klayout/usr/share/pixmaps
	cp etc/logo.png debian/klayout/usr/share/pixmaps/klayout.png

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/klayout/usr/bin/klayout
	# fixing file permissions for *.py files
	for i in `find $(CURDIR)/debian/klayout/usr -type f -name "*.py"`; do \
	    FOUND_PYTHON=$$(head -n1 $$i | grep python); \
	    if [ "$$FOUND_PYTHON" != "" ]; then \
	        chmod +x $$i; \
	    else \
	        chmod -x $$i; \
	    fi; \
	done
	find debian/klayout/usr/lib/klayout -maxdepth 1 -type f -exec chrpath --delete {} \;
	find debian/klayout/usr/lib/klayout -mindepth 1 -type f \( -name "*.so.*" -o -name "*.so" \) -exec chmod -x {} \;
	find debian/klayout/usr/lib/klayout -mindepth 2 -type f -name "*.so*" -exec chrpath --delete {} \;

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r build-release

override_dh_auto_test:

override_dh_makeshlibs:

override_dh_shlibdeps:
	dh_shlibdeps -l"$(CURDIR)/debian/klayout/usr/lib/klayout:$(CURDIR)/debian/klayout/usr/lib/klayout/lay_plugins:$(CURDIR)/debian/klayout/usr/lib/klayout/db_plugins"

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

ifeq (mipsel,$(DEB_BUILD_ARCH))
override_dh_dwz:
	# There is not enough memory for running dwz successfully on mipsel.
endif

=== debian/watch ===
# watch file for klayout

version=4

opts="mode=git, \
      pgpmode=none, \
      filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/klayout-$1\.tar\.gz/" \
https://github.com/KLayout/klayout.git \
      refs/tags/v(\d\S+)

## klayout 0.28.15

=== debian/changelog ===
klayout (0.28.15-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:01:44 +1100

klayout (0.28.15-1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:05:38 +0000

klayout (0.28.15-1build3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:10:44 +0100

klayout (0.28.15-1build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 01:03:45 -0300

klayout (0.28.15-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:48:44 +0000

klayout (0.28.15-1) unstable; urgency=medium

  * Team upload
  * [2de69dc] d/watch: Add compression typ gz
  * [a46568f] New upstream version 0.28.15
  * [029aa71] Rebuild patch queue from patch-queue branch
    Updating/refreshing the existing patches.
  * [c413b95] d/control: Add new B-D on libgit2-dev
  * [d97d763] d/rules: Drop -qt5 build option, not needed
  * [612e21a] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Jan 2024 09:19:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: klayout
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders:
  Ruben Undheim <ruben.undheim@gmail.com>,
 Build-Depends:
  chrpath,
  debhelper-compat (= 13),
+ libgit2-dev,
  libpython3-dev,
  libqt5svg5-dev,
  libqt5xmlpatterns5-dev,

## klayout 0.28.16

=== debian/changelog ===
klayout (0.28.16-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream point release (LP: #2066026)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 06 Jun 2024 09:25:33 -0700

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       pgpmode=none, \
       filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/klayout-$1\.tar\.gz/" \
 https://github.com/KLayout/klayout.git \

## klayout 0.29.1

=== debian/changelog ===
klayout (0.29.1-1build4) plucky; urgency=medium

  * No-change rebuild against libgit2 1.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Feb 2025 00:09:32 -0600

klayout (0.29.1-1build3) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:06:25 +0100

klayout (0.29.1-1build2) plucky; urgency=medium

  * Rebuild against latest libgit2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 12:35:01 -0500

klayout (0.29.1-1build1) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 15 Aug 2024 23:57:43 -0300

klayout (0.29.1-1) unstable; urgency=medium

  * Team upload
  * [930643e] New upstream version 0.29.1
  * [8a96268] Rebuild patch queue from patch-queue branch
    Updating/refreshing the existing patches.
  * [1350ae5] d/control: Increase Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 May 2024 12:19:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: klayout
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders:
  Ruben Undheim <ruben.undheim@gmail.com>,
 Build-Depends:
@@ -20,7 +19,7 @@
  txt2man,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/electronics-team/klayout
 Vcs-Git: https://salsa.debian.org/electronics-team/klayout.git
 Homepage: https://www.klayout.de

## klayout 0.30.0

=== testdata/lefdef/patternname/Makefile ===
v:
	time strm2oas \
	--lefdef-map v.map \
	--lefdef-lefs v.lef \
	v.def v.oas

=== debian/changelog ===
klayout (0.30.0-1) unstable; urgency=medium

  * Team upload
  * [47c3a62] d/watch: Drop option 'filenamemangle'
  * [77dd5b2] New upstream version 0.30.0
  * [5a65a40] Rebuild patch queue from patch-queue branch
    Updating/refreshing the existing patches.
  * [9ebe9ca] d/control: Increase Standards-Version to 4.7.2
    No further changes needed.
  * [3c6e7db] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Mar 2025 08:02:27 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  txt2man,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/klayout
 Vcs-Git: https://salsa.debian.org/electronics-team/klayout.git
 Homepage: https://www.klayout.de

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 override_dh_auto_install:
 	mkdir -p debian/klayout/usr/lib/klayout
-	CC=$(CC) CXX=$(CXX) OBJCOPY=objcopy AR=$(AR) CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./build.sh -qt5 -option $(EXTRA_MAKE_OPTIONS) -expert -qmake /usr/lib/$(MULTIARCH)/qt5/bin/qmake -bin $(CURDIR)/debian/klayout/usr/lib/klayout
+	CC=$(CC) CXX=$(CXX) OBJCOPY=objcopy AR=$(AR) CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" ./build.sh -option $(EXTRA_MAKE_OPTIONS) -expert -qmake /usr/lib/$(MULTIARCH)/qt5/bin/qmake -bin $(CURDIR)/debian/klayout/usr/lib/klayout
 	mkdir -p debian/klayout/usr/bin
 	echo "#!/bin/sh" > debian/klayout/usr/bin/klayout
 	echo "LD_LIBRARY_PATH=/usr/lib/klayout exec /usr/lib/klayout/klayout \"\$$@\"" >> debian/klayout/usr/bin/klayout

=== debian/watch ===
# watch file for klayout

version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/KLayout/klayout.git \
      refs/tags/v(\d\S+)
